Bug 1392992 - rabbit configured to use 127.0.0.1 after upgrade from RHOS-9 to RHOS-10 in proxy-server.conf
Summary: rabbit configured to use 127.0.0.1 after upgrade from RHOS-9 to RHOS-10 in pr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 10.0 (Newton)
Assignee: Jiri Stransky
QA Contact: Arik Chernetsky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-08 16:10 UTC by Yurii Prokulevych
Modified: 2016-12-14 16:30 UTC (History)
9 users (show)

Fixed In Version: openstack-tripleo-heat-templates-5.0.0-1.4.el7ost and puppet-tripleo-5.3.0-7.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 16:30:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC

Description Yurii Prokulevych 2016-11-08 16:10:03 UTC
Description of problem:
-----------------------

After upgrade from RHOS-9 to RHOS-10 swift-proxy is misconfigured to connect to 127.0.0.1

Excerpt from swift/proxy-server.conf
...
[filter:ceilometer]
paste.filter_factory = ceilometermiddleware.swift:filter_factory

url = rabbit://guest:2As9fwMcV2juQdRYVAMcaK338@127.0.0.1:5672//



Version-Release number of selected component (if applicable):
-------------------------------------------------------------
openstack-tripleo-common-5.3.0-3.el7ost.noarch
openstack-tripleo-image-elements-5.0.0-2.el7ost.noarch
openstack-tripleo-0.0.8-0.2.4de13b3git.el7ost.noarch
openstack-tripleo-validations-5.1.0-1.el7ost.noarch
openstack-tripleo-puppet-elements-5.0.0-1.el7ost.noarch
python-tripleoclient-5.3.0-4.el7ost.noarch
openstack-tripleo-ui-1.0.4-2.el7ost.noarch
openstack-tripleo-heat-templates-5.0.0-1.2.el7ost.noarch
openstack-tripleo-heat-templates-compat-2.0.0-34.3.el7ost.noarch
puppet-tripleo-5.3.0-4.el7ost.noarch

openstack-swift-object-2.10.0-5.el7ost.noarch
openstack-swift-proxy-2.10.0-5.el7ost.noarch
openstack-swift-account-2.10.0-5.el7ost.noarch
python-swiftclient-3.1.0-1.el7ost.noarch
openstack-swift-container-2.10.0-5.el7ost.noarch
puppet-swift-9.4.2-1.el7ost.noarch
python-swift-2.10.0-5.el7ost.noarch
openstack-swift-plugin-swift3-1.11.0-1.el7ost.noarch


Steps to Reproduce:
1. After upgrade from RHOS-9 to RHOS-10 check /etc/swift/proxy-server.conf

Additional info:
----------------
Virtual setup: 3controller + 1compute + 1ceph

Comment 3 Christian Schwede (cschwede) 2016-11-09 14:58:24 UTC
This is related to https://bugzilla.redhat.com/show_bug.cgi?id=1389999

Builts available in

openstack-tripleo-heat-templates-5.0.0-1.4.el7ost and
puppet-tripleo-5.3.0-7.el7ost

Moving to ON_QA (same as 1389999).

Comment 5 Yurii Prokulevych 2016-11-10 13:08:17 UTC
Verified with packages after upgrade from RHOS-9 to RHOS-10:
-----------------------
openstack-tripleo-heat-templates-5.0.0-1.4.el7ost.noarch
puppet-tripleo-5.3.0-7.el7ost.noarch

Excerpt from /etc/swift/proxy-server.conf
...
[filter:ceilometer]
paste.filter_factory = ceilometermiddleware.swift:filter_factory

url = rabbit://guest:e4muBQwnD8h4U9CzMvPgqvPMs@172.17.1.16:5672,guest:e4muBQwnD8h4U9CzMvPgqvPMs@172.17.1.14:5672,guest:e4muBQwnD8h4U9CzMvPgqvPMs@172.17.1.15:5672//

Comment 10 errata-xmlrpc 2016-12-14 16:30:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.